Bug 788524 - [aec6d5d89249868dc99d8fb432d8ab120bb38ef1]: remove-brick abort does not give proper output.
[aec6d5d89249868dc99d8fb432d8ab120bb38ef1]: remove-brick abort does not give ...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: shishir gowda
: Reopened
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-08 06:20 EST by Rahul C S
Modified: 2015-12-01 11:45 EST (History)
7 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:02:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa34
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul C S 2012-02-08 06:20:34 EST
Description of problem:
root@Dagobah:~# gluster volume remove-brick temp dagobah:/tmp/b1/ dagobah:/tmp/b2/ status
remove-brick in progress
root@Dagobah:~# gluster volume remove-brick temp dagobah:/tmp/b1/ dagobah:/tmp/b2/ abort
Remove Brick unsuccessful
Ideally it should say, aborted successfully or remove-brick operation aborted.

root@Dagobah:~# echo $?
255
If the command has succeeded in aborting then it should give proper exit status.

root@Dagobah:~# gluster volume remove-brick temp dagobah:/tmp/b1/ dagobah:/tmp/b2/ status
remove-brick stopped
Comment 1 Anand Avati 2012-04-06 06:38:55 EDT
CHANGE: http://review.gluster.com/3082 (remove-brick: Abort should revert volume changes) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 shylesh 2012-04-11 07:53:16 EDT
Abort command is no more supported.so closing the bug.
Comment 4 shylesh 2012-04-11 08:28:46 EDT
Now aborting a remove-brick displays the message "Remove Brick abort successful
" and volfile will be reverted back

Note You need to log in before you can comment on or make changes to this bug.